package com.xy.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xy.dto.DeviceChargingDto;
import com.xy.entity.DeviceCharging;
import com.xy.job.DeviceChargingJob;
import com.xy.mapper.DeviceChargingMapper;
import com.xy.utils.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.constraints.NotEmpty;
import java.util.List;


/**
 * <p>
 * 设备计费表 服务实现类
 * </p>
 *
 * @author lijin
 * @since 2023-04-14
 */
@Service
@Api(tags = "设备计费表")
@AllArgsConstructor(onConstructor_ = @Lazy)
public class DeviceChargingServiceImpl extends ServiceImpl<DeviceChargingMapper, DeviceCharging> implements DeviceChargingService {

    private DeviceChargingJob deviceChargingJob;

    @ApiOperation("手动计费")
    @PostMapping("charging")
    public R charging(@RequestBody @Validated DeviceChargingDto.Charging charging) {
        List<Long> deviceIds = charging.getDeviceIds();
        deviceChargingJob.deviceCharging(1, deviceIds.size(), deviceIds);
        return R.ok();
    }
}